
Redmine - Feature #4786

Gantt Chart - Grouping issues by target version

2010-02-10 08:38 - Jeffrey Jones

Status: Closed Start date: 2010-02-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

On of my colleagues has started using the Gantt chart a lot for project management.

She noticed that all issues, when displayed on the Gantt chart, appear to be ordered by starting date. This is a sensible default but

my colleague believes a much better way would be to group the issues according to their version first THEN order by date

This way the issues will appear above their respective version and ordered by date. Issues without a version appear at the top.

So ideally the layout would be:

"Version 1" has issues 4,6 and 8

"Version 2" has issues 2,3,5,7

Issue 1 is not assigned to a version

Issue 1        ------------

Issue 4          ------------------

Issue 6          ----------

Issue 8                ------------------

Version 1                               *

Issue 2       ------------

Issue 3            ------------------------

Issue 5                             -------------------

Issue 7                                   ---------

Version 2                                             *

 Currently it appears to be this:

Issue 2       ------------

Issue 1        ------------

Issue 4          ------------------

Issue 6          ----------

Issue 3            ------------------------

Issue 8                ------------------

Issue 5                             -------------------

Version 1                               *

Issue 7                                   ---------

Version 2                                             *

 I haven't had time to fully investigate the ordering/grouping yet. This is based on my initial observations. If I am incorrect feel free to

hit me.

Related issues:

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

Related to Redmine - Patch #12730: Fix sorting and PDF output of Gantt diagra... New

Related to Redmine - Feature #6276: Gantt Chart rewrite Closed 2010-09-03

Is duplicate of Redmine - Feature #347: Grouping issues in Gantt view New

History

#1 - 2010-02-10 08:51 - Jeffrey Jones

I just saw issue #4751 allows this it you create custom queries and view the resulting gantt chart from there.
It seems like grouping by target-version would be a good default rather than having to select a custom query first.

Opinions?

#2 - 2010-02-12 07:24 - Jeffrey Jones

I have checked out the custom queries and was unable to create a gantt chart based on the custom query with regards to grouping so this issue is still

open for me.

My thinking is that if a user has gone to the effort of assigning issues to versions etc then they would probabl want the Gantt chart to reflect that

organisation with the above layout (So beautifully rendered in ASCII :p )

#3 - 2010-02-19 06:19 - Eric Davis

- Category changed from UI to Issues

Jeffrey Jones:

I have a large rewrite of the Gantt chart for a client that I'm finishing up that does this (and more). Using your example, it ends up like:

Issue 1        ------------

Version 1        *----------------------*

- Issue 4        ------------------

- Issue 6        ----------

- Issue 8              ------------------

Version 2     *---------------------------------------*

- Issue 2     ------------

- Issue 3          ------------------------

- Issue 5                           -------------------

- Issue 7                                 ---------

Subproject    *------------------------------------------------*

-- Version                      *--------------*

--- Issue 9                      -----------

...

 I wish I could take a screenshot of it but their data is sensitive so I can't display any of it.

#4 - 2010-02-19 08:12 - Jeffrey Jones

That is very excellent, in fact that is almost exactly what my colleague is after.

A few questions about this layout.

1. How is the version start-date calculated? Is it a new field on the version or is it assumed to be the same as the project creation date?

2. Same as above but for sub-project start/end.

3. Will the version progress bar be automatically filled based on issue progress (Like on the roadmap)?

No matter what the answers to the above are it is still a huge improvement I think. Do you have any idea when/if it will be committed to the trunk so

we can have a sneak-peak?

#5 - 2010-02-19 08:26 - Jeffrey Jones

Also now I think about it, will the PDF/PNG exports be updated to reflect these changes?

#6 - 2010-02-22 14:30 - Sam Rose

Eric Davis wrote:

Jeffrey Jones:

I have a large rewrite of the Gantt chart for a client that I'm finishing up that does this (and more). Using your example, it ends up like:

[...]

I wish I could take a screenshot of it but their data is sensitive so I can't display any of it.

 This is great! Look forward to seeing it

#7 - 2010-02-28 04:37 - Eric Davis

Jeffrey Jones wrote:

1. How is the version start-date calculated? Is it a new field on the version or is it assumed to be the same as the project creation date?
 Can't remembe exactly. It's either 1) the date the version was created or 2) the very first issue start date.

1. Same as above but for sub-project start/end.

 The earliest and latest issue or version (think of project range to expand to include all of the issue and version date ranges).

1. Will the version progress bar be automatically filled based on issue progress (Like on the roadmap)?

 Yes, same for the projects.

Also now I think about it, will the PDF/PNG exports be updated to reflect these changes?

 Yes but the PDF export isn't complete.  I think there were some preexisting layout bugs in it.

#8 - 2010-04-07 09:16 - Danila Sukharev

Argh, this is exactly the last (and the one of the most important) feature I do need from the Redmine :)

Eric Davis, do you have some estimates on this issue?

I am wondering when this will be in trunk...

-- Dan

#9 - 2010-04-07 09:18 - Danila Sukharev

Ooops! Looks like that this is already in trunk. Shame on me...

-- Dan

#10 - 2010-04-07 13:59 - Jeffrey Jones

Eric, is this part of the work that was recently included by Jean-Phillipe as part of the new sub-tasks enhancement?

Or is it separate (and incompatible?)

#11 - 2010-04-10 02:42 - Eric Davis

Jeffrey Jones wrote:

Eric, is this part of the work that was recently included by Jean-Phillipe as part of the new sub-tasks enhancement?

Or is it separate (and incompatible?)

 Separate and incompatible.  I'm going to be merging the latest subtasks code that was added to my Gantt rewrite soon.  Still a ways out before it's

ready to release though.

#12 - 2010-04-11 16:30 - Jeffrey Jones

Groovy, thank you for the information

#13 - 2010-06-07 19:52 - S Reid

Eric, What other features will the new Gantt have ? Will it allow editing within the gantt view ? Is it likely to be < or > 3 months before the first release ?

#14 - 2010-08-13 03:04 - Jeffrey Jones

The grouping by sub-tasks is working nicely with the new sub-task core feature. I havent had a chance to see how sub-projects and sub-tasks mix.

Will have to look into that.

#15 - 2010-10-03 15:13 - Mischa The Evil

- Category changed from Issues to Gantt

#16 - 2017-07-13 09:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented by #6276 (Redmine 1.1.0).
#17 - 2017-07-13 09:21 - Go MAEDA

- Related to Feature #6276: Gantt Chart rewrite added
